--[0.0, 0.2, 0.3, 0.5, 0.6, 0.8, 0.9, 1.1, 1.2, 1.4, 1.6, 1.7, 1.9, 2.0, 2.2, 2.3, 2.5, 2.7, 2.8, 3.0, 3.1, 3.3, 3.4, 3.6, 3.8, 3.9, 4.1, 4.2, 4.5,
--4.8, 5.2, 5.5, 6.0, 6.4, 6.9, 7.4, 8.0, 8.5, 9.1, 9.7, 10.3, 11.0, 11.6, 12.3, 13.0, 13.7, 14.4, 15.2, 15.9, 16.7, 17.4, 18.3, 19.4, 20.3, 21.3,
--22.2, 23.1, 23.9, 24.7, 25.4, 26.1, 26.7, 27.3, 27.9, 28.4, 28.8, 29.2, 29.5, 29.7, 29.9, 30.0, 30.0, 29.8, 29.6, 29.3, 29.1, 28.7, 28.4, 28.0,
--27.7, 27.3, 26.9, 26.5, 26.0, 25.6, 25.2, 24.7, 24.3, 23.8, 23.3, 22.8, 22.3, 21.8, 21.3, 20.8, 20.3, 19.7, 19.2, 18.7, 18.1, 17.6, 17.3, 17.1,
--16.8, 16.5, 16.2, 16.0, 15.7, 15.5, 15.2, 14.9, 14.7, 14.4, 14.2, 13.9, 13.6, 13.4, 13.1, 12.9, 12.7, 12.4, 12.2, 12.0, 11.7, 11.5, 11.3, 11.1,
--10.9, 10.7, 10.5, 10.3]


CREATE TABLE mac_01(
"id" integer PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
"date" timestamptz NOT NULL,
"duration" float
);


INSERT INTO mac_01 (date, duration) VALUES
('2020-12-23T07:38:11.068351'::timestamp, 0.0),
('2020-12-24T07:38:11.068351'::timestamp, 0.2),
('2020-12-25T07:38:11.068351'::timestamp, 0.3),
('2020-12-26T07:38:11.068351'::timestamp, 0.5),
('2020-12-27T07:38:11.068351'::timestamp, 0.6),
('2020-12-28T07:38:11.068351'::timestamp, 0.8),
('2020-12-29T07:38:11.068351'::timestamp, 0.9),
('2020-12-31T07:38:11.068351'::timestamp, 1.1),
('2021-01-01T07:38:11.068351'::timestamp, 1.2),
('2021-01-02T07:38:11.068351'::timestamp, 1.4),
('2021-01-03T07:38:11.068351'::timestamp, 1.6),
('2021-01-04T07:38:11.068351'::timestamp, 1.7),
('2021-01-05T07:38:11.068351'::timestamp, 1.9),
('2021-01-06T07:38:11.068351'::timestamp, 2.0),
('2021-01-07T07:38:11.068351'::timestamp, 2.2),
('2021-01-08T07:38:11.068351'::timestamp, 2.3),
('2021-01-09T07:38:11.068351'::timestamp, 2.5),
('2021-01-10T07:38:11.068351'::timestamp, 2.7),
('2021-01-11T07:38:11.068351'::timestamp, 2.8),
('2021-01-12T07:38:11.068351'::timestamp, 3.0),
('2021-01-13T07:38:11.068351'::timestamp, 3.1),
('2021-01-14T07:38:11.068351'::timestamp, 3.3),
('2021-01-15T07:38:11.068351'::timestamp, 3.4),
('2021-01-16T07:38:11.068351'::timestamp, 3.6),
('2021-01-17T07:38:11.068351'::timestamp, 3.8),
('2021-01-18T07:38:11.068351'::timestamp, 3.9),
('2021-01-19T07:38:11.068351'::timestamp, 4.1),
('2021-01-20T07:38:11.068351'::timestamp, 4.2),
('2021-01-21T07:38:11.068351'::timestamp, 4.5),
('2021-01-22T07:38:11.068351'::timestamp, 4.8),
('2021-01-23T07:38:11.068351'::timestamp, 5.2),
('2021-01-24T07:38:11.068351'::timestamp, 5.5),
('2021-01-25T07:38:11.068351'::timestamp, 6.0),
('2021-01-26T07:38:11.068351'::timestamp, 6.4),
('2021-01-27T07:38:11.068351'::timestamp, 6.9),
('2021-01-28T07:38:11.068351'::timestamp, 7.4),
('2021-01-29T07:38:11.068351'::timestamp, 8.0),
('2021-01-30T07:38:11.068351'::timestamp, 8.5),
('2021-01-31T07:38:11.068351'::timestamp, 9.1),
('2021-02-01T07:38:11.068351'::timestamp, 9.7),
('2021-02-02T07:38:11.068351'::timestamp, 10.3),
('2021-02-03T07:38:11.068351'::timestamp, 11.0),
('2021-02-04T07:38:11.068351'::timestamp, 11.6),
('2021-02-05T07:38:11.068351'::timestamp, 12.3),
('2021-02-06T07:38:11.068351'::timestamp, 13.0),
('2021-02-07T07:38:11.068351'::timestamp, 13.7),
('2021-02-08T07:38:11.068351'::timestamp, 14.4),
('2021-02-09T07:38:11.068351'::timestamp, 15.2),
('2021-02-10T07:38:11.068351'::timestamp, 15.9),
('2021-02-11T07:38:11.068351'::timestamp, 16.7),
('2021-02-12T07:38:11.068351'::timestamp, 17.4),
('2021-02-13T07:38:11.068351'::timestamp, 18.3),
('2021-02-14T07:38:11.068351'::timestamp, 19.4),
('2021-02-15T07:38:11.068351'::timestamp, 20.3),
('2021-02-16T07:38:11.068351'::timestamp, 21.3),
('2021-02-17T07:38:11.068351'::timestamp, 22.2),
('2021-02-18T07:38:11.068351'::timestamp, 23.1),
('2021-02-19T07:38:11.068351'::timestamp, 23.9),
('2021-02-20T07:38:11.068351'::timestamp, 24.7),
('2021-02-21T07:38:11.068351'::timestamp, 25.4),
('2021-02-22T07:38:11.068351'::timestamp, 26.1),
('2021-02-23T07:38:11.068351'::timestamp, 26.7),
('2021-02-24T07:38:11.068351'::timestamp, 27.3),
('2021-02-25T07:38:11.068351'::timestamp, 27.9),
('2021-02-26T07:38:11.068351'::timestamp, 28.4),
('2021-02-27T07:38:11.068351'::timestamp, 28.8),
('2021-02-28T07:38:11.068351'::timestamp, 29.2),
('2021-03-01T07:38:11.068351'::timestamp, 29.5),
('2021-03-02T07:38:11.068351'::timestamp, 29.7),
('2021-03-03T07:38:11.068351'::timestamp, 29.9),
('2021-03-04T07:38:11.068351'::timestamp, 30.0),
('2021-03-05T07:38:11.068351'::timestamp, 30.0),
('2021-03-06T07:38:11.068351'::timestamp, 29.8),
('2021-03-07T07:38:11.068351'::timestamp, 29.6),
('2021-03-08T07:38:11.068351'::timestamp, 29.3),
('2021-03-09T07:38:11.068351'::timestamp, 29.1),
('2021-03-10T07:38:11.068351'::timestamp, 28.7),
('2021-03-11T07:38:11.068351'::timestamp, 28.4),
('2021-03-12T07:38:11.068351'::timestamp, 28.0),
('2021-03-13T07:38:11.068351'::timestamp, 27.7),
('2021-03-14T07:38:11.068351'::timestamp, 27.3),
('2021-03-15T07:38:11.068351'::timestamp, 26.9),
('2021-03-16T07:38:11.068351'::timestamp, 26.5),
('2021-03-17T07:38:11.068351'::timestamp, 26.0),
('2021-03-18T07:38:11.068351'::timestamp, 25.6),
('2021-03-19T07:38:11.068351'::timestamp, 25.2),
('2021-03-20T07:38:11.068351'::timestamp, 24.7),
('2021-03-21T07:38:11.068351'::timestamp, 24.3),
('2021-03-22T07:38:11.068351'::timestamp, 23.8),
('2021-03-23T07:38:11.068351'::timestamp, 23.3),
('2021-03-24T07:38:11.068351'::timestamp, 22.8),
('2021-03-25T07:38:11.068351'::timestamp, 22.3),
('2021-03-26T07:38:11.068351'::timestamp, 21.8),
('2021-03-27T07:38:11.068351'::timestamp, 21.3),
('2021-03-28T07:38:11.068351'::timestamp, 20.8),
('2021-03-29T07:38:11.068351'::timestamp, 20.3),
('2021-03-30T07:38:11.068351'::timestamp, 19.7),
('2021-03-31T07:38:11.068351'::timestamp, 19.2),
('2021-04-01T07:38:11.068351'::timestamp, 18.7),
('2021-04-02T07:38:11.068351'::timestamp, 18.1),
('2021-04-03T07:38:11.068351'::timestamp, 17.6),
('2021-04-04T07:38:11.068351'::timestamp, 17.3),
('2021-04-05T07:38:11.068351'::timestamp, 17.2),
('2021-04-06T07:38:11.068351'::timestamp, 16.8),
('2021-04-07T07:38:11.068351'::timestamp, 16.5),
('2021-04-08T07:38:11.068351'::timestamp, 16.2),
('2021-04-09T07:38:11.068351'::timestamp, 16.0),
('2021-04-10T07:38:11.068351'::timestamp, 15.7),
('2021-04-11T07:38:11.068351'::timestamp, 15.5),
('2021-04-12T07:38:11.068351'::timestamp, 15.2),
('2021-04-13T07:38:11.068351'::timestamp, 14.9),
('2021-04-14T07:38:11.068351'::timestamp, 14.7),
('2021-04-15T07:38:11.068351'::timestamp, 14.4),
('2021-04-16T07:38:11.068351'::timestamp, 14.2),
('2021-04-17T07:38:11.068351'::timestamp, 13.9),
('2021-04-18T07:38:11.068351'::timestamp, 13.6),
('2021-04-19T07:38:11.068351'::timestamp, 13.4),
('2021-04-20T07:38:11.068351'::timestamp, 13.1),
('2021-04-21T07:38:11.068351'::timestamp, 12.9),
('2021-04-22T07:38:11.068351'::timestamp, 12.7),
('2021-04-23T07:38:11.068351'::timestamp, 12.4),
('2021-04-24T07:38:11.068351'::timestamp, 12.2),
('2021-04-25T07:38:11.068351'::timestamp, 12.0),
('2021-04-26T07:38:11.068351'::timestamp, 11.7),
('2021-04-27T07:38:11.068351'::timestamp, 11.5),
('2021-04-28T07:38:11.068351'::timestamp, 11.3),
('2021-04-29T07:38:11.068351'::timestamp, 11.1),
('2021-04-30T07:38:11.068351'::timestamp, 10.9),
('2021-05-01T07:38:11.068351'::timestamp, 10.7),
('2021-05-02T07:38:11.068351'::timestamp, 10.5),
('2021-05-03T07:38:11.068351'::timestamp, 10.3);

